Bug 862423 - RFE: need a way to access errata units across all repos
RFE: need a way to access errata units across all repos
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 16:37 EDT by Pradeep Kilambi
Modified: 2013-09-09 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:05:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2012-10-02 16:37:24 EDT
Description of problem:

Currently the sync_conduit.get_units scopes all the units specific to the repo its initialized. But for errata case where an erratum can span across multiple repos, we need to check if it exists in a broader scope during the sync. Otherwise with the way we have it today, the previously synced errata from another repo gets overridden.
Comment 1 Jay Dobies 2012-10-03 08:52:25 EDT
I need some more details on the expectation here.

- Will you be editing units retrieved from this call?
- Will you be creating an association from units retrieved from this into the repository being syncced?

I'm also not sure I understand "Otherwise with the way we have it today, the previously synced errata from another repo gets overridden.", but that depends on your answers above. If you're going to edit the erratum retrieved from this call, that's what's going to happen anyway. If the call is purely going to be read only, this becomes a non-issue.
Comment 2 Jeff Ortel 2012-10-05 17:43:11 EDT
build: 0.331
Comment 3 Preethi Thomas 2012-11-07 16:19:54 EST
v1 bug with verification steps

https://bugzilla.redhat.com/show_bug.cgi?id=860800
Comment 4 Preethi Thomas 2012-11-14 10:13:08 EST
verified
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.6-0.2.beta.noarch
[root@preethi-el6-pulp ~]# 

[root@preethi-el6-pulp ~]# pulp-admin rpm repo content errata --repo-id rhel-6-w --repo-id rhel-6-w-optional --erratum-id RHBA-2012:1305
+----------------------------------------------------------------------+
                        Erratum: RHBA-2012:1305
+----------------------------------------------------------------------+

Id:                RHBA-2012:1305
Title:             openswan bug fix update
Summary:           Updated openswan packages that fix a bug are now available for Red Hat
Enterprise Linux 6.

Description:
  Openswan is a free implementation of IPsec (Internet Protocol Security) and
  IKE(Internet Key Exchange) for Linux. The openswan packages contain daemons
  anduser-space tools for setting up Openswan. It supports the NETKEY/XFRM
  IPseckernel stack that exists in the default Linux kernel. Openswan 2.6 and
  lateralso supports IKEv2 (Internet Key Exchange Protocol version 2), which is
  definedin RFC5996.

  This update fixes the following bug:

  * When a tunnel was established between two IPsec hosts (say host1 and
  host2)utilizing DPD (Dead Peer Detection), and if host2 went offline while
  host1continued to transmit data, host1 continually queued multiple phase 2
  requestsafter the DPD action. When host2 came back online, the stack of
  pending phase 2requests was established, leaving a new IPsec SA (Security
  Association), and alarge group of extra SA's that consumed system resources
  and eventually expired.This update ensures that openswan has just a single
  pending phase 2 requestduring the time that host2 is down, and when host2
  comes back up, only a singlenew IPsec SA is established, thus preventing this
  bug. (BZ#852454)

  All users of openswan are advised to upgrade to these updated packages,
  whichfix this bug.

Severity:          
Type:              bugfix
Issued:            2012-09-24 00:00:00
Updated:           2012-09-24 00:00:00
Version:           1
Release:           
Status:            final
Reboot Suggested:  No

Updated Packages:
  openswan-0:2.6.32-19.el6_3.i686

References:
  ID:   None
  Type: self
  Link: https://rhn.redhat.com/errata/RHBA-2012-1305.html



[root@preethi-el6-pulp ~]#
Comment 5 Preethi Thomas 2013-01-09 12:05:08 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.